services:
  runner:
    image: gitlab/gitlab-runner:alpine
    restart: always
    networks:
      - runner-net
    volumes:
      - './data/gitlab-runner:/etc/gitlab-runner'
     # - '/var/run/docker.sock:/var/run/docker.sock:rw' # Root mode
      - '/run/user/1000/docker.sock:/var/run/docker.sock:rw' # Rootless mode


networks:
  runner-net:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 10.25.0.0/16